/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-04-28
 * 描述            ：外部系统检验项基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Com.impl;
import java.util.List;

import market.Com.mapper.ComBasePhyOutsideMapper;
import market.Com.service.ComBasePhyOutsideService;
import market.Com.vo.ComBasePhyOutside;
import market.Com.vo.ResultModel;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="ComBasePhyOutsideService")
public class ComBasePhyOutsideServiceImpl extends BaseServiceImpl<ComBasePhyOutside,Object> implements ComBasePhyOutsideService {
	/***
	 * 查询外部系统检验项
	 * @return
	 */
	public ResultModel getOutsidePhy()
	{

		ResultModel rm = new ResultModel();
		try {
            List<ComBasePhyOutside> list1 =  this.getMapper(ComBasePhyOutsideMapper.class).getOutsidePhy();
			rm.setData(list1);
			rm.setState("200");


		} catch (Exception e) {
			// TODO: handle exception

			rm.setState("500");
			rm.setMsgInfo("查询失败!");
		}

		return rm;
	}
}
